Subject: Re: [TR] Crazy Tach

From: Geo Hahn <[email-masked]>
Date: Wed, 14 Aug 2013 12:15:15 -0700

On Wed, Aug 14, 2013 at 9:50 AM, William Pugh <[email-masked]> wrote:

> I had to change the distributor on the 1970 TR6, car runs great but the
> Tachometer went "Whacko" ! pulled the cable off the distributor, and can
> easily turn the inner cable by hand b& anyone have any ideas??

You shouldn't turn by hand so it is probably either broken or dis-engaged.
You should be able to pull the inner cable out from the tach end and
inspect it.

Geo

** [email-masked] **

Archive: http://www.team.net/archive